# 72. Query: Get Gridded Data as GeoJSON or GeoTIFF

Query to get gridded data from the datasets like "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" as `GEOJSON` with points or `GEOTIFF`.&#x20;

{% hint style="danger" %}
Recommended retrieving only a single dataset with `sourceDataUrl` per request.&#x20;
{% endhint %}

`GEOTIFF` and `GEOJSON` are available as `formats`.

{% hint style="danger" %}
`sourceDataUrl` link is accessible for only **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      name
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/72.-query-get-gridded-data-as-geojson-or-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
